Bug 12078 - xscreensaver.kss & kikbd problem.
xscreensaver.kss & kikbd problem.
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: xscreensaver (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-06-11 00:32 EDT by Aleksey Nogin
Modified: 2014-03-16 22:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-23 00:00:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aleksey Nogin 2000-06-11 00:32:04 EDT
All other KDE screensavers make sure that kikbd is switched back to
"default" keyboard before locking the screen. Xscreensaver.kss does not do
that. As a result if the kikbd was switched into some other keyboard before
xscreensaver kiked in, there is no way to type in the password and to
unlock the screen (other than logging in using some other means and killing
xscreensaver).
Comment 1 Bill Nottingham 2000-06-11 15:13:43 EDT
I'm not sure I'm catching this; where do the kde
screensavers switch the keyboard mode/mapping?
Comment 2 Aleksey Nogin 2000-06-11 15:51:43 EDT
I am not sure who does it and how. But what I know is that when I have my
screensaver set to, for example, xrock.xss and I press the lock button on the
panel, kikbd switches to default keyboard just before the screenbecomes locked.
This does not happen with xcreensaver.kss.
Comment 3 Bill Nottingham 2002-11-11 15:46:11 EST
At this point, this is probably not something we're going to look into inhouse.

Note You need to log in before you can comment on or make changes to this bug.